Index: c/src/ada-tests/sptests/sp01/sp01.adb
===================================================================
--- c/src/ada-tests/sptests/sp01/sp01.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp01/sp01.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP01 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP01 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP01;
+
Index: c/src/ada-tests/sptests/sp02/sp02.adb
===================================================================
--- c/src/ada-tests/sptests/sp02/sp02.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp02/sp02.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP02 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP02 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP02;
+
Index: c/src/ada-tests/sptests/sp02/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp02/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp02/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp03/sp03.adb
===================================================================
--- c/src/ada-tests/sptests/sp03/sp03.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp03/sp03.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP03 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP03 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP03;
+
Index: c/src/ada-tests/sptests/sp03/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp03/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp03/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp04/sp04.adb
===================================================================
--- c/src/ada-tests/sptests/sp04/sp04.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp04/sp04.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP04 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP04 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP04;
+
Index: c/src/ada-tests/sptests/sp04/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp04/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp04/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp05/sp05.adb
===================================================================
--- c/src/ada-tests/sptests/sp05/sp05.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp05/sp05.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP05 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP05 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP05;
+
Index: c/src/ada-tests/sptests/sp05/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp05/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp05/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp06/sp06.adb
===================================================================
--- c/src/ada-tests/sptests/sp06/sp06.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp06/sp06.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP06 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP06 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP06;
+
Index: c/src/ada-tests/sptests/sp06/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp06/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp06/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp07/sp07.adb
===================================================================
--- c/src/ada-tests/sptests/sp07/sp07.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp07/sp07.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP07 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP07 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP07;
+
Index: c/src/ada-tests/sptests/sp07/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp07/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp07/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp08/sp08.adb
===================================================================
--- c/src/ada-tests/sptests/sp08/sp08.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp08/sp08.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP08 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP08 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP08;
+
Index: c/src/ada-tests/sptests/sp08/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp08/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp08/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp09/sp09.adb
===================================================================
--- c/src/ada-tests/sptests/sp09/sp09.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp09/sp09.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP09 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP09 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP09;
+
Index: c/src/ada-tests/sptests/sp09/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp09/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp09/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 with SYSTEM;
Index: c/src/ada-tests/sptests/sp11/sp11.adb
===================================================================
--- c/src/ada-tests/sptests/sp11/sp11.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp11/sp11.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP11 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP11 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP11;
+
Index: c/src/ada-tests/sptests/sp11/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp11/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp11/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp12/sp12.adb
===================================================================
--- c/src/ada-tests/sptests/sp12/sp12.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp12/sp12.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP12 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP12 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP12;
+
Index: c/src/ada-tests/sptests/sp12/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp12/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp12/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp13/sp13.adb
===================================================================
--- c/src/ada-tests/sptests/sp13/sp13.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp13/sp13.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP13 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP13 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP13;
+
Index: c/src/ada-tests/sptests/sp13/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp13/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp13/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp14/sp14.adb
===================================================================
--- c/src/ada-tests/sptests/sp14/sp14.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp14/sp14.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP14 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP14 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP14;
+
Index: c/src/ada-tests/sptests/sp14/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp14/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp14/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp15/sp15.adb
===================================================================
--- c/src/ada-tests/sptests/sp15/sp15.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp15/sp15.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP15 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP15 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP15;
+
Index: c/src/ada-tests/sptests/sp15/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp15/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp15/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp16/sp16.adb
===================================================================
--- c/src/ada-tests/sptests/sp16/sp16.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp16/sp16.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP16 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP16 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP16;
+
Index: c/src/ada-tests/sptests/sp16/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp16/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp16/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp17/sp17.adb
===================================================================
--- c/src/ada-tests/sptests/sp17/sp17.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp17/sp17.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP17 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP17 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP17;
+
Index: c/src/ada-tests/sptests/sp17/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp17/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp17/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp19/sp19.adb
===================================================================
--- c/src/ada-tests/sptests/sp19/sp19.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp19/sp19.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP19 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP19 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP19;
+
Index: c/src/ada-tests/sptests/sp19/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp19/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp19/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp20/sp20.adb
===================================================================
--- c/src/ada-tests/sptests/sp20/sp20.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp20/sp20.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP20 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP20 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP20;
+
Index: c/src/ada-tests/sptests/sp20/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp20/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp20/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp21/sp21.adb
===================================================================
--- c/src/ada-tests/sptests/sp21/sp21.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp21/sp21.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP21 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP21 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP21;
+
Index: c/src/ada-tests/sptests/sp21/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp21/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp21/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 with STUB_DRIVER;
Index: c/src/ada-tests/sptests/sp22/sp22.adb
===================================================================
--- c/src/ada-tests/sptests/sp22/sp22.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp22/sp22.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP22 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP22 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP22;
+
Index: c/src/ada-tests/sptests/sp22/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp22/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp22/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp23/sp23.adb
===================================================================
--- c/src/ada-tests/sptests/sp23/sp23.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp23/sp23.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP23 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP23 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP23;
+
Index: c/src/ada-tests/sptests/sp23/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp23/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp23/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 with SYSTEM;
Index: c/src/ada-tests/sptests/sp24/sp24.adb
===================================================================
--- c/src/ada-tests/sptests/sp24/sp24.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp24/sp24.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP24 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP24 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP24;
+
Index: c/src/ada-tests/sptests/sp24/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp24/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp24/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/sp25/sp25.adb
===================================================================
--- c/src/ada-tests/sptests/sp25/sp25.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp25/sp25.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SP25 of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SP25 is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SP25;
+
Index: c/src/ada-tests/sptests/sp25/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/sp25/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/sp25/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
Index: c/src/ada-tests/sptests/spsize/spsize.adb
===================================================================
--- c/src/ada-tests/sptests/spsize/spsize.adb	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/spsize/spsize.adb	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -0,0 +1,31 @@
+--
+--  MAIN / BODY
+--
+--  DESCRIPTION:
+--
+--  This is the entry point for Test SPsize of the Single Processor Test Suite.
+--
+--  DEPENDENCIES: 
+--
+--  
+--
+--  COPYRIGHT (c) 1989-1997.
+--  On-Line Applications Research Corporation (OAR).
+--  Copyright assigned to U.S. Government, 1994.
+--
+--  The license and distribution terms for this file may in
+--  the file LICENSE in this distribution or at
+--  http://www.OARcorp.com/rtems/license.html.
+--
+--  $Id$
+--
+
+with SPTEST;
+
+procedure SPsize is
+begin
+
+  SPTEST.INIT( 0 );
+
+end SPsize;
+
Index: c/src/ada-tests/sptests/spsize/sptest.ads
===================================================================
--- c/src/ada-tests/sptests/spsize/sptest.ads	(revision 77ff3d1058a4c13b0ef87d84ab322f5d3fc7c686)
+++ c/src/ada-tests/sptests/spsize/sptest.ads	(revision 7f79b6737dc0c1f135080fada9b7883736069b0a)
@@ -22,5 +22,4 @@
 --
 
-with CLOCK_DRIVER;
 with RTEMS;
 
